import request from "@/utils/request"; // 这里是引入咱们的axios用axios来进行异步接口请求

//获取电梯列表
export function getElevatorList(params) {
  return request({
    url: "/prod-api/elevator/info/list",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}

//获取电梯分类
export function getElevatorBrand(params) {
  return request({
    url: "/prod-api/elevator/info/brand/statistics/chart/list",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}
//获取故障分类
export function getFaultBrand(params) {
  return request({
    url: "/prod-api/elevator/faultStatistics/chart/list?faultTypeKey=fault_type",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}
//获取告警列表
export function getAlarmBrand(params) {
  return request({
    url: "/prod-api/fault/faultMessage/list?faultTypeKey=fault_type",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}
//获取维保数量统计
export function getMaintenanceAnaylse(params) {
  return request({
    url: "/prod-api/elevator/largeScreen/maintenance/quantity/statistics",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}
//获取电梯总数统计
export function getElevatorTotal(params) {
  return request({
    url: "/prod-api/elevator/largeScreen/quantity/statistics",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}
//获取电梯维保数据统计统计
export function getElevatorMaintenanceTotal(params) {
  return request({
    url: "/prod-api/elevator/largeScreen/maintenance/task/statistics",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}
//获取电梯维保数据统计统计
export function getElevatorMaintenance(params) {
  return request({
    url: "/prod-api/maintenance/maintenanceInfo/list",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}

//获取电梯电梯列表
export function getElevatorListE(params) {
  return request({
    url: "/prod-api/elevator/largeScreen/elevator/statistics",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}
//获取电梯行为消息列表
export function getElevatorBehaviorList(params) {
  return request({
    url: "/prod-api/behavior/behaviorMessage/list",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}
//获取电梯行为消息列表
export function getElevatorScienceList(params) {
  return request({
    url: "/prod-api/elevator/info/scenario/statistics/chart/list",
    method: "get",

    params, //一般get请求，我们习惯使用params属性来传参
  });
}
//获取电梯行为消息列表
export function getAreaCode(params) {
  return request({
    url: `/prod-api/elevator/info/area/${params}`,
    method: "get",

  });
}

//获取工作数据信息列表
export function getWorkInfoList(params) {
  return request({
    url: `/prod-api/work/workData/list`,
    method: "get",
    params
  });
}

//获取维修趋势图
export function getWorkInfoTrend(params) {
  return request({
    url: `/prod-api/elevator/largeScreen/repair/trend/chart`,
    method: "get",
    params
  });
}
//获取维修饼图
export function getWorkInfoPie(params) {
  return request({
    url: `/prod-api/elevator/largeScreen/repair/pie/chart`,
    method: "get",
    params
  });
}

//获取维修柱状图
export function getWorkInfoBar(params) {
  return request({
    url: `/prod-api/elevator/largeScreen/repair/bar/chart`,
    method: "get",
    params
  });
}
//获取维修柱状图
export function getWorkElevatorRunData(elevatorNum) {
  return request({
    url: `/prod-api/elevator/info/real/${elevatorNum}`,
    method: "get",
    
  });
}

export function getWorkElevatorRunDetail(elevatorNum) {
  return request({
    url: `/prod-api/elevator/largeScreen/detail/${elevatorNum}`,
    method: "get",
    
  });
}

export function getCurrentTimeFault(params) {
  return request({
    url: `/prod-api/fault/faultMessage/list`,
    method: "get",
    params
  });
}

export function getWorkHistoryBad(elevatorNum) {
  return request({
    url: `/prod-api/elevator/largeScreen/detail/faultStatistics/${elevatorNum}`,
    method: "get",
    
  });
}


export function getBasicDate(params) {
  return request({
    url: `/prod-api/elevator/behaviorStatistics/elevator/detail/statistics`,
    method: "get",
    params
  });
}

export function getYearRescueAna(params) {
  return request({
    url: `/prod-api/elevator/largeScreen/rescue/year/statistics`,
    method: "get",
    params
  });
}

export function getTimeRescueAna(params) {
  return request({
    url: `/prod-api/elevator/largeScreen/rescue/time/statistics`,
    method: "get",
    params
  });
}


export function getRankRescueAna(params) {
  return request({
    url: `/prod-api/elevator/largeScreen/rescue/maintenance/rank/statistics`,
    method: "get",
    params
  });
}
export function getReasonOfBad(params) {
  return request({
    url: `/prod-api/elevator/largeScreen/rescue/faultCause/statistics`,
    method: "get",
    params
  });
}
export function getAreaReasonOfBad(params) {
  return request({
    url: `/prod-api/elevator/largeScreen/rescue/area/statistics`,
    method: "get",
    params
  });
}

export function getVideoUrl(params) {
  return request({
    url: `/prod-api/elevator/info/video/monitor/${params}`,
    method: "get",
    
  });
}









